package roneditor.gef.editparts.objectnet.policies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import roneditor.gef.commands.objectnet.DeleteNodeCommand;
import roneditor.gef.editparts.objectnet.ONNodeEditPart;
import ronmodel.ONNode;

/**
 * {@link ComponentEditPolicy} for an {@link ONNodeEditPart}.
 */
public class ONNodeComponentEditPolicy extends ComponentEditPolicy {

	@Override
	protected Command createDeleteCommand(final GroupRequest deleteRequest) {
		return new DeleteNodeCommand((ONNode) getHost().getModel());
	}

	// /**
	// * Provide visual feedback on mouse over
	// */
	// @Override
	// public void showTargetFeedback(final Request request) {
	// IFigure figure = ((AbstractGraphicalEditPart) getHost()).getFigure();
	// }
	//
	// /**
	// * Remove visual feedback on mouse out
	// */
	// @Override
	// public void eraseTargetFeedback(final Request request) {
	// IFigure figure = ((AbstractGraphicalEditPart) getHost()).getFigure();
	// }
}
