package roneditor.gef.figures.ron;

import muvitorkit.ui.utils.SWTResourceManager;

import org.eclipse.draw2d.ConnectionEndpointLocator;
import org.eclipse.draw2d.Graphics;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PolygonDecoration;
import org.eclipse.draw2d.PolylineConnection;
import org.eclipse.swt.SWT;

public class HLArcFigure extends PolylineConnection {
	private final Label relationshipLabel;

	public HLArcFigure(final String name) {
		setForegroundColor(SWTResourceManager.getColor(128, 128, 128));
		final ConnectionEndpointLocator relationshipLocator = new ConnectionEndpointLocator(
				this, false);
		relationshipLocator.setUDistance(5);
		relationshipLocator.setVDistance(10);
		relationshipLabel = new Label(name);
		setTargetDecoration(new PolygonDecoration());
	}

	@Override
	public void paint(final Graphics graphics) {
		graphics.setAntialias(SWT.ON);
		super.paint(graphics);
	}

	public void setName(final String name) {
		relationshipLabel.setText(name);
	}

}
