package roneditor.ui.rule;

import muvitorkit.gef.palette.MappingCreationTool;
import roneditor.RONIconUtil;
import roneditor.model.ModelCreationFactory;
import roneditor.ui.objectnet.ObjectNetPaletteRoot;
import ronmodel.Mapping;
import ronmodel.RonmodelPackage;

public class RulePaletteRoot extends ObjectNetPaletteRoot {
	public RulePaletteRoot() {
		addToolEntry(symbolPaletteGroup, "Map", "Toggle a mapping",
				new ModelCreationFactory(Mapping.class),
				RONIconUtil.getDescriptor(RonmodelPackage.MAPPING, 16),
				RONIconUtil.getDescriptor(RonmodelPackage.MAPPING, 24),
				MappingCreationTool.class);

	}
}
